kamailio-config-tests (10.0.1.2+0~mr10.0.1.2) unstable; urgency=medium

  [ Donat Zenichev ]
  * [5ca6a47] TT#144200 LNP scenarios (invite_ncos_black, invite_ncos_white)

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 06 Oct 2021 16:58:58 +0200

kamailio-config-tests (10.0.1.1+0~mr10.0.1.1) unstable; urgency=medium

  [ Marco Capetta ]
  * [dfb22e2] TT#139600 Update after removal of append_branch() command in redirect scenarios

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 10 Sep 2021 16:11:22 +0200

kamailio-config-tests (10.0.1.0+0~mr10.0.1.0) unstable; urgency=medium

  [ Victor Seva ]
  * [eedabd4] TT#116100 scenarios: fix peer_host definitions
  * [c9a5c27] TT#116100 scenarios_pbx/invite_alias_devid_fulllookup: fix prefs
  * [4e3411e] TT#81700 bin/restart_log.sh: set fallback for reference file
  * [3d805f6] TT#81700 Makefile: update clean rule
  * [6a8c295] TT#125300 invite_trusted_peerout_stir
  * [21860b5] TT#125303 invite_stir
  * [c7ce1b9] TT#81700 run_test.sh: move config logic to set_config.sh
  * [a5a9f55] TT#81700 bin/lnav.sh: helper for lnav
  * [2dd31da] TT#81700 .gitignore: add new templates
  * [0c5b0f0] TT#116103 bin/provide_scenario.sh: fail if any command fails
  * [95c40ce] TT#81700 set_config.sh: create log dir before pid_watcher execution
  * [15051f2] TT#116103 use kamailio.lb.ip from config.yml
  * [c483616] TT#116103 scenarios/invite: changes to support external SERVER_IP
  * [bb00155] TT#81700 bench.sh: add provisioning type option
  * [4ed5719] TT#116103 bin/check.sh: copy instead of move scenario_ids.yml
  * [18ff1ea] TT#116103 scenarios/invite_trusted_anonymous
  * [5335364] TT#116103 scenarios/invite_trusted_peerout_stir
  * [b67d741] TT#116103 scenarios/auth_fail
  * [7ffa166] TT#116103 scenarios/incoming_foreign_dom
  * [b241ab2] TT#116103 scenarios/incoming_hih
  * [9e6a02c] TT#116103 scenarios/incoming_peer
  * [0bf7b4c] TT#116103 scenarios/incoming_peer_stir
  * [a3f1fe2] TT#116103 scenarios/invite_allowedcli_match
  * [976b105] TT#116103 scenarios/invite_allowedcli_match_alias
  * [c05106f] TT#116103 scenarios/invite_allowedcli_nonmatch
  * [68eb52b] TT#116103 scenarios/invite_allowedcli_nonmatch_reject
  * [bc20d64] TT#116103 scenarios/invite_allowip
  * [658d5ab] TT#116103 scenarios/invite_allowip_soundset
  * [24230b5] TT#116103 scenarios/invite_anonymous
  * [93978de] TT#116103 scenarios/invite_blockin_blst
  * [f12b532] TT#116103 scenarios/invite_conference_update
  * [46a7983] TT#116103 scenarios/invite_record_call
  * [60647dc] TT#116103 scenarios/invite_blockin_clir
  * [5a8d97e] TT#116103 scenarios/invite_blockin_wlst
  * [37f8723] TT#116103 scenarios/invite_blockout_blst
  * [d45209c] TT#116103 scenarios/invite_blockout_ncos
  * [d8b8aa5] TT#116103 scenarios/invite_blockout_pinoverride
  * [2830ad0] TT#116103 scenarios/invite_blockout_wlst
  * [eff3f76] TT#116103 scenarios: add "nat_sipping": "no" domain pref
  * [b88cbd0] TT#116103 scenarios/invite_callforward
  * [f49a6b4] TT#116103 scenarios/invite_callforward_but_callee_locked_cfna
  * [ec551d9] TT#116103 scenarios/invite_callforward_but_callee_locked_cfu
  * [96ddd7e] TT#116103 scenarios/invite_concurrent_max
  * [2f426d9] TT#116103 scenarios/invite_concurrent_max_out
  * [c94a44c] TT#116103 scenarios/invite_concurrent_max_out_per_account
  * [7f68c80] TT#116103 scenarios/invite_concurrent_max_per_account
  * [7a96b9c] TT#116103 scenarios/invite_emergency
  * [f5046aa] TT#116103 scenarios/invite_emergency_cirpack
  * [c096b7b] TT#116103 scenarios/invite_emergency_pidflo
  * [4c912d9] TT#116103 scenarios/invite_force_inbound_calls_to_peer
  * [e9d11db] TT#116103 scenarios/invite_force_outbound_calls_to_peer
  * [86ceb65] TT#116103 scenarios/invite_foreign_dom
  * [f1ee9fc] TT#116103 scenarios/invite_hdr
  * [3ba7a28] TT#116103 scenarios/invite_hm
  * [2de9557] TT#116103 scenarios/invite_hm_callforward
  * [eae1cbd] TT#116103 scenarios/invite_callee_bye
  * [130e658] TT#116103 scenarios/invite_hm_peerout
  * [06f34ed] TT#116103 scenarios/invite_ignore_allowip
  * [a78cadc] TT#116103 scenarios/invite_lateoam
  * [b0cd867] TT#116103 scenarios/invite_locmap_add
  * [2aaae0b] TT#116103 scenarios/invite_locmap_offline
  * [9be1572] TT#116103 scenarios/invite_locmap_replace
  * [efc957c] TT#116103 scenarios/invite_no_refer
  * [7b02d94] TT#116103 scenarios/invite_offline
  * [06b3765] TT#116103 scenarios/invite_outgoing_lock
  * [6fdeed8] TT#116103 scenarios/invite_pai_none
  * [7b56efb] TT#116103 scenarios/invite_peerout
  * [b5892ee] TT#116103 scenarios/invite_peerout_failover
  * [f5c4ee3] TT#116103 scenarios/invite_peerout_max_out
  * [fc95652] TT#116103 scenarios/invite_peerout_rewrite
  * [09ed53c] TT#116103 scenarios/invite_peerout_rewrite_pv_regex
  * [171c339] TT#116103 scenarios/invite_peerout_stir
  * [b489b38] TT#116103 scenarios/invite_perm_reg
  * [4fa524f] TT#116103 scenarios/invite_prack
  * [c56ba5f] TT#116103 scenarios/invite_q_forking
  * [f98b52d] TT#116103 scenarios/invite_redirect
  * [3a2d38d] TT#116103 scenarios/invite_redirect_blocked
  * [7114e2a] TT#116103 scenarios/invite_redirect_tel_uri
  * [0bc3793] TT#116103 scenarios/invite_reinvite_caller_transcoding
  * [183e8ea] TT#116103 scenarios/invite_reinvite_transcoding
  * [9356ab2] TT#116103 scenarios/invite_retrans
  * [c860670] TT#116103 scenarios/invite_sdp_filter
  * [10d1fe6] TT#116103 scenarios/invite_stir
  * [e3f2976] TT#116103 scenarios/invite_tcp_udp
  * [44024aa] TT#116103 scenarios/invite_tcp_udp_reinvite
  * [948359c] TT#116103 scenarios/invite_voicebox
  * [35a6f52] TT#116103 scenarios/invite_wrong_reg
  * [ba1839c] TT#116103 scenarios/lock_ported
  * [03722e9] TT#116103 scenarios/register
  * [024dd1a] TT#116103 scenarios/register_allowip
  * [26ed3f0] TT#116103 scenarios/regiter_bria
  * [cff4a26] TT#116103 scenarios/register_ignore_allowip
  * [abd9841] TT#116103 scenarios/register_tcp
  * [0aad390] TT#116103 scenarios/reminder
  * [8dd448c] TT#116103 scenarios/timer_session_callee_only_supported
  * [20dd637] TT#116103 scenarios/timer_session_caller_only_supported
  * [2098f73] TT#116103 scenarios/timer_session_supported
  * [8141463] TT#116103 bin/detect_network.py
  * [bc665bd] TT#116103 set_config.sh: detect network by default
  * [d784021] TT#81700 store failed scenarios in file
  * [aa109d5] TT#81700 remove warning
  * [5d64c38] TT#81700 bin/failed_scenarios.sh: helper for jenkins
  * [722b433] TT#116103 scenarios_pbx: use different customer per scenario
  * [47c0224] TT#81700 get_results.sh: show prove summary
  * [1f30417] TT#116103 scenarios_pbx/invite
  * [8bac745] TT#116103 scenarios_pbx/invite_alias
  * [19c6786] TT#116103 scenarios_pbx/invite_alias_devid
  * [130bd06] TT#116103 scenarios_pbx/invite_alias_devid_fulllookup
  * [ff0e8cc] TT#116103 scenarios_pbx/invite_username_devid
  * [3eafcf2] TT#116103 scenarios_pbx: use different customer per scenario, take two
  * [a32a243] TT#116103 scenarios_pbx/incoming_shared_line
  * [6f5f8c3] TT#116103 scenarios_pbx: add "nat_sipping": "no" domain pref
  * [2ac71df] TT#116103 scenarios_pbx/invite_shared_line
  * [74bab46] TT#116103 scenarios_lnp: add "nat_sipping": "no" domain pref
  * [7e515ea] TT#116103 print selected scenarios from file
  * [6fd4188] TT#81700 run_tests.sh: print failed scenarios at the end
  * [b2b690a] TT#116103 scenarios_lnp
  * [493423a] TT#116101 align sipp checks filename to sipp scenario files
  * [e7b9a38] TT#116101 bin/generate_test_tt2.py
  * [4742b3c] TT#116101 bin/generate_test_tt2.sh add sipp option
  * [433441c] TT#116101 bin/check.sh: use find instead of just bash
  * [777d7fc] TT#116101 bin/check_sip.py: fix error in argparse
  * [52787ba] TT#116101 scenarios*/**/scenarios.yml: quote numbers starting with 00
  * [5dc37b7] TT#116101 bin/generate_test_tt2.py improve subs rules
  * [212a707] TT#116101 bin/generate_test_tt2.py: more rules
  * [404b9f4] TT#116101 bin/generate_test_tt2.py: more rules
  * [4060f46] TT#116101 scenarios: sipp generated templates
  * [fb347c1] TT#116101 scenarios: manual fixes
  * [392b25a] TT#116101 scenarios: sipp test manual fixes
  * [54fda6e] TT#116101 scenarios/invite_sdp_filter: sdp fixes
  * [8098e62] TT#116101 bin/generate_test_tt2.py: add pbx numbers
  * [615215d] TT#116101 scenarios_pbx: sipp generated templates
  * [83892bf] TT#116101 bin/generate_test_tt2.py: add phone_numbers from extra_info
  * [91a7265] TT#116101 scenarios_lnp: sipp generated templates
  * [03a5634] TT#116101 scenarios_pbx: fix sipp generated templates

  [ Alessio Garzi ]
  * [42fd449] TT#119400 New kct scenario for sdp filtering
  * [5699a74] TT#128200 Copy sems-b2b.log
  * [49aa6cc] TT#128200 invite_emercy_cirpack scenario check boundary
  * [39930c4] TT#124224 Fix kct pbx scenarios for pbx loop removal

  [ Marco Capetta ]
  * [13fb17c] TT#124224 Re-enable shared_lines scenarios for pbx
  * [770dbb7] TT#116101 scenarios/invite_sdp_filter: fix sdp in 200OK reply
  * [646c70e] TT#32968 Added new scenarios to disabled folder
  * [efb73e2] TT#131255 Add call to route ROUTE_CHECK_LOCATIONS

  [ donat zenichev ]
  * [e110dd3] TT#116101 Parsing of SIP messages expected/gotten result using sipp log

  [ Donat Zenichev ]
  * [1b65160] TT#135852 Update k-c-t scenarios for CE-trunk

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Aug 2021 16:50:15 +0200

kamailio-config-tests (10.0.0.0+0~mr10.0.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [4b846db] TT#104401 run_test.sh: stop dummy0 and remove dummy module
  * [9360639] TT#116100 move creation of scenario.csv to provide_scenario
  * [41d1e14] TT#116100 bin/scenario.pl: define sipp port and mport
  * [216e99e] TT#116100 bin/check.sh: use defined port/mport from scenario.csv
  * [bce4b35] TT#116100 bin/provide_scenario.sh: support IP/port selections
  * [53ba3ec] TT#116100 provide_scenarios.sh
  * [b0d54e0] TT#116100 k-c-t config.yml
  * [786a800] TT#116100 bin/create_subscribers.pl: use dynamic phone numbers
  * [b3219d2] TT#116100 bin/create_registrations.pl: use scenario_ids.yml
  * [53f0979] TT#116100 bin/create_peers.pl: use defined IP/port from scenario_ids.yml
  * [47cf91e] TT#116100 foreign domain
  * [e8e8529] TT#116100 bin/provide_scenario.sh: dynamic preferences
  * [92e24a8] TT#116100 bin/provide_scenario.sh: add trusted.yml as template
  * [e738085] TT#116100 config: add kamailio and rtpengine info
  * [ac24a71] TT#116100 bin/scenario.pl: add alias info to csv
  * [15ab97b] TT#116100 bin/scenario.pl: manage devid
  * [3b0cfa3] TT#116100 bin/scenario.pl: define pbx_phone_number
  * [b6dc5b7] TT#116100 bin/scenario.pl: try to get subscribe info even with peer_host
  * [ddf2e5c] TT#116100 bin/provide_scenario.sh: add lnp.yml as template
  * [1876468] TT#116100 bin/scenario.pl: support extra_info
  * [31000c8] TT#116100 bin/scenario.pl: fix error with no extra_info
  * [0149080] TT#116100 scenarios/auth_fail
  * [6022164] TT#116100 scenarios/incoming_foreign_dom
  * [aea3306] TT#116100 scenarios/incoming_hih
  * [01387cf] TT#116100 scenarios/incoming_peer
  * [1ed859c] TT#116100 scenarios/invite
  * [6abbc46] TT#116100 scenarios/invite_allowedcli_match
  * [023e079] TT#116100 scenarios/invite_allowedcli_match_alias
  * [b6e255c] TT#116100 bin/scenario.pl: fix typo
  * [91b0681] TT#116100 scenarios/invite_allowedcli_nonmatch
  * [6530625] TT#116100 scenarios/invite_allowedcli_nonmatch_reject
  * [d87d869] TT#116100 scenarios/invite_allowip
  * [140a5af] TT#116100 scenarios/invite_allowip_soundset
  * [efcb70e] TT#116100 scenarios/invite_anonymous
  * [033969d] TT#116100 scenarios/invite_blockin_blst
  * [3ff44f5] TT#116100 scenarios/invite_blockin_clir
  * [ea37348] TT#116100 scenarios/invite_blockin_wlst
  * [981613f] TT#116100 scenarios/invite_blockout_ncos
  * [c6fd9e5] TT#116100 scenarios/invite_blockout_pinoverride
  * [996de97] TT#116100 scenarios/invite_blockout_wlst
  * [512805e] TT#116100 scenarios/invite_callee_bye
  * [d3b6f75] TT#116100 scenarios/invite_callforward
  * [237b861] TT#116100 scenarios/invite_concurrent_max
  * [45341d9] TT#116100 scenarios/invite_concurrent_max_out
  * [854e557] TT#116100 scenarios/invite_concurrent_max_out_per_account
  * [731e2a9] TT#116100 invite_concurrent_max_per_account
  * [676e270] TT#116100 scenarios/invite_conference_update
  * [d1068ea] TT#116100 scenarios/invite_emergency
  * [8a7ac97] TT#116100 scenarios/invite_emergency_cirpack
  * [3d3d775] TT#116100 scenarios/invite_emergency_pidflo
  * [379c7ca] TT#116100 scenarios/invite_force_inbound_calls_to_peer
  * [1317662] TT#116100 scenarios/invite_force_outbound_calls_to_peer
  * [89273cc] TT#116100 scenarios/invite_foreign_dom
  * [d91f517] TT#116100 scenarios/invite_hdr
  * [93684e9] TT#116100 scenarios/invite_offline
  * [8970d7f] TT#116100 scenarios/invite_pai_none
  * [866868c] TT#116100 scenarios/invite_peerout
  * [4f32809] TT#116100 scenarios/invite_peerout_failover
  * [10ddce4] TT#116100 scenarios/invite_blockout_blst
  * [62f846b] TT#116100 scenarios/invite_ignore_allowip
  * [155bae9] TT#116100 scenarios/invite_no_refer
  * [26fc5fb] TT#116100 scenarios/invite_lateoam
  * [5f9a184] TT#116100 scenarios/invite_peerout_max_out
  * [f9be433] TT#116100 scenarios/invite_peerout_rewrite
  * [9149985] TT#116100 scenarios/invite_peerout_rewrite_pv_regex
  * [bf6be15] TT#116100 scenarios/invite_redirect
  * [b490b97] TT#116100 scenarios/invite_redirect_blocked
  * [3bc3e35] TT#116100 scenarios/invite_record_call
  * [6250b06] TT#116100 scenarios/invite_reinvite_caller_transcoding
  * [e32d9a5] TT#116100 scenarios/invite_reinvite_transcoding
  * [42308d3] TT#116100 scenarios/invite_retrans
  * [3f09c4f] TT#116100 scenarios/invite_tcp_udp
  * [41147af] TT#116100 scenarios/invite_tcp_udp_reinvite
  * [67443a3] TT#116100 scenarios/invite_trusted_anonymous
  * [25ba2ac] TT#116100 scenarios/invite_voicebox
  * [b629c23] TT#116100 scenarios/invite_wrong_reg
  * [7bdea8a] TT#116100 scenarios/lock_ported
  * [8091370] TT#116100 scenarios/register
  * [4181ee8] TT#116100 scenarios/register_allowip
  * [096e115] TT#116100 scenarios/register_bria
  * [6a49370] TT#116100 scenarios/register_ignore_allowip
  * [79e32b5] TT#116100 scenarios/register_tcp
  * [0ac1a52] TT#116100 scenarios/reminder
  * [7e2ca06] TT#116100 scenarios/timer_session_callee_only_supported
  * [61af4ba] TT#116100 scenarios/timer_session_caller_only_supported
  * [8c429d8] TT#116100 scenarios/timer_session_supported
  * [c8400ad] TT#116100 scenarios/invite_prack
  * [242bd7a] TT#116100 scenarios/invite_force_inbound_calls_to_peer: remove prefs.json
  * [5ea1fc2] TT#116100 scenarios_pbx/invite
  * [84c9bbb] TT#116100 scenarios_pbx/invite_alias
  * [97925b1] TT#116100 scenarios_pbx/invite_alias_devid_fulllookup
  * [695676e] TT#116100 scenarios_pbx/invite_username_devid
  * [512346a] TT#116100 scenarios_lnp/incoming_peer_unallocated_authoritative
  * [e82f121] TT#116100 bin/scenarios.pl: obey number if defined
  * [d301b5f] TT#116100 scenarios/invite_hm
  * [d850b66] TT#116100 scenarios/invite_hm_peerout
  * [e116ced] TT#116100 scenarios/invite_hm_callforward
  * [28b6d7d] TT#116100 permanent registrations
  * [3b88e0b] TT#116100 scenarios/invite_perm_reg
  * [7a9504f] TT#116100 scenarios/invite_q_forking
  * [b6f5c5a] TT#116100 debian: install config.yml file
  * [fb1df6f] TT#116100 missing changes on tests
  * [b6c960a] TT#116100 fix scenarios checks
  * [90a6e1c] TT#81700 bin/cdr_check.py: add info of what failed as comment
  * [e702ef2] TT#91051 STIR scenarios
  * [f44a0eb] TT#116100 config.yml: use different start ports for peers
  * [0c0fedb] TT#91051 SHAKEN
  * [b8cc633] TT#81700 check.sh: mark as failed if any responder proc is killed
  * [1973c68] TT#116100 bin/scenario.pl: add pbx_extension info
  * [4c5189f] TT#116100 bin/delete_domains.pl: helper to clean provisioning
  * [52d6755] TT#116100 run_tests.sh: support different provisioning types
  * [9c9cede] TT#116100 fix provisioning phone number
  * [499f69f] TT#116100 scenarios: fix peer_host definition

  [ Mohammed Ghettas ]
  * [eb58296] TT#118950 Fix kct scenarios after the rework of the call forward

  [ Manuel Montecelo ]
  * [ea79ff0] TT#118659 Switch Dockerfile from Debian buster to bullseye

  [ Ozzyboshi ]
  * [cc14571] TT#116100 scenarios_pbx/incoming_shared_line
  * [cd574c9] TT#116100 scenarios_pbx/invite_alias_devid
  * [8b35be0] TT#116100 scenarios_pbx/invite_shared_line
  * [7f69bac] TT#116100 scenarios_lnp/invite

  [ Alessio Garzi ]
  * [5404858] TT#116100 scenarios_lnp/incoming_peer
  * [befb94e] TT#116100 scenarios_pbx/invite_ncos_black
  * [56ffcd0] TT#116100 scenarios_lnp/invite_ncos_white
  * [366cb4e] TT#116100 scenarios_lnp/invite_peerout_rn
  * [60b4a8e] TT#116100 scenarios_lnp/invite_peerout
  * [ca2ab97] TT#116100 scenarios_lnp/register_lock_ported

  [ donat zenichev ]
  * [8a3b2b4] TT#121782 Create a new k-c-t scenario to test the tel2uri conversions
  * [944c46a] TT#121782 Create a new k-c-t scenario to test the tel2uri conversions
  * [c0747d8] TT#123203 scenarios for checking 'lock' preference
  * [43705a5] TT#101300 add support for location mappings

  [ Marco Capetta ]
  * [a5b1b2e] TT#83601 Fix scenarios after CFNA check postponed

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 14 Jun 2021 16:35:52 +0200

kamailio-config-tests (9.5.0.0+0~mr9.5.0.0) unstable; urgency=medium

  [ Alessio Garzi ]
  * [f2af4c0] TT#62051 new scenario invite_no_404_fallback

  [ Victor Seva ]
  * [f6f0655] TT#108065 invite_emergency_pidflo
  * [29612f1] TT#81700 add debug level for dialplan on relevant scenarios
  * [bcced8e] TT#81700 store sipp message log per execution
  * [675b838] TT#104401 check.sh: clean known errors on sipp 3.6
  * [1ca6bf1] TT#104401 config: don't try to start an already configured dummy0
  * [3c3715a] TT#114302 : fix force_[in|out]bound checks
  * [935bf89] TT#116100 bin/config_debug.pl: remove obsolete code
  * [2be72bb] TT#116100 bin/config_debug.pl: split logic
  * [f63d15e] TT#116100 bin/get_scenarios.sh
  * [0cc5b14] TT#116100 bin/network_config.pl: generate DNS aliases from scenarios
  * [74fbf96] TT#116100 bin/check.sh: split logic of provisioning
  * [03afbb1] TT#116100 support '-' on domains
  * [4450e32] TT#116100 network_config.pl: log what scenario.yml is going to be loaded
  * [8443c39] TT#81700 Makefile: add clean rule
  * [24196f8] TT#81700 be less verbose on ngcpcfg apply

  [ Marco Capetta ]
  * [64d95bf] TT#89560 Adapt scenarios to changes to LEG_B route
  * [bfc3922] TT#89560 Fix missing 487 message in incoming_shared_line pbx scenario

  [ mohammed ghettas ]
  * [2e1ac48] TT#111500 : scenarios for session timer

  [ Mohammed Ghettas ]
  * [c347842] TT#114302 : k-c-t scenarios for force_outbound_calls_to_peer and force_inbound_calls_to_peer
  * [6ee7758] TT#114302 : fix force_[in|out]bound checks

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 20 Apr 2021 11:57:07 +0200

kamailio-config-tests (9.4.0.0+0~mr9.4.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [3c25d44] TT#104401 scenario changes for sip-tester 3.6.0
  * [e9190e9] TT#104401 check.sh: changes for sip-tester 3.6.0
  * [7dab6c9] TT#104401 check.sh: support sipp 3.6 and 3.5 series
  * [40d27f4] TT#104401 add rtp.log to scenario logs
  * [567a6c8] TT#104401 config: add dummy interface rtp_tag
  * [46dca93] TT#108065 emergency scenarios
  * [8326475] TT#104401 invite_reinvite_lateoffer
  * [ac48c91] TT#104401 scenarios: fixes detected with sip-tester v3.5.3
  * [d7386d5] TT#107650 fix invite_callee_bye for PRO
  * [488e2f1] TT#107650 fix invite_callee_bye
  * [87d7ec0] TT#109304 update flow with new route

  [ Alessio Garzi ]
  * [1802892] TT#107650 New scenario invite_callee_bye
  * [fd584db] TT#81700 generate_test_tt2.pl should escape `+' in Accept: header
  * [0a2e17d] TT#109304 Added locmap.yml to README
  * [e2472f7] TT#109304 fixed invite reinvite transcoding scenario

  [ Michael Prokop ]
  * [3fd03b4] Revert "TT#104401 invite_reinvite_lateoffer"

  [ mohammed ghettas ]
  * [9605e9f] TT#108958 add invite_prack scenario..

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Feb 2021 17:52:12 +0100

kamailio-config-tests (9.3.0.0+0~mr9.3.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [6320e9f] TT#81700 generate_test_tt2.pl: fix contact param sip.instance
  * [1cc3361] TT#97750 clean_registrations: add devid support
  * [c1a56fe] TT#81700 generate_test_tt2.pl: add LB for Server|User-Agent
  * [4750bc8] TT#81700 remove server version from checks
  * [e0662e6] TT#81700 helpers to show/diff content of vars in a route
  * [4f6e639] TT#81700 generate_test_tt2.pl: fixes
  * [183e841] TT#81700 generate_test_tt2.pl: fix subst_ids()
  * [66ec763] TT#81700 bin/pcap_diff.py tool
  * [c93bacb] TT#81700 check: add check for rtpengine session per test
  * [674989c] TT#97750 disable invite_username_devid_fulllookup

  [ Marco Capetta ]
  * [35e7d6f] TT#97750 Add new pbx scenarios for calls with alias dev_id

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 05 Jan 2021 15:31:02 +0100

kamailio-config-tests (9.2.0.0+0~mr9.2.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [99858e1] TT#71804 Fix incoming_foreign_dom scenario after proxy on leg_b addition
  * [403e43c] TT#96305 Fix invire_redirect scenario
  * [2100090] TT#97750 Fix scenarios after rework of 'EVENTMON_HEADERS' routes

  [ Kirill Solomko ]
  * [36752a6] Revert "TT#71804 Fix incoming_foreign_dom scenario after proxy on leg_b addition"

  [ Victor Seva ]
  * [977813a] TT#92600 scenarios/invite_pai_no
  * [4099f1a] TT#81700 bin/check.py: use argparse instead of old getopts
  * [4c6d227] TT#81700 bin/check.sh: add info of what sections failed
  * [49c3f4c] TT#81700 bin/check.sh: add info of what sections failed, take two
  * [3656b8a] TT#81700 bin/check.sh: skip kam_msg that was already processed
  * [8c78ded] TT#92600 fix checks of PAI after fixing PAI default 'none' on templates
  * [173a45d] TT#71804 fix incoming_shared_line after b_leg changes
  * [f5ce3e9] TT#71906 scenarios_pbx: remove PAI inserted previously by sca
  * [78eab46] TT#95650 invite_reinvite_*transcoding
  * [32d0e51] TT#81700 bin/apply_flow_diff.sh
  * [bcfb522] TT#95650 fix invite_reinvite_*transcoding
  * [f1c1379] TT#97750 support devid in scenario.yml
  * [2b4793a] TT#97750 fix support devid in scenario.yml
  * [b5ea646] TT#99150 set permissions_reload_delta value

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Nov 2020 16:24:15 +0100

kamailio-config-tests (9.1.0.0+0~mr9.1.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [0b8d118] TT#81700 bin/generate_test_tt2.pl: fix some common subst
  * [a5b78d4] TT#84555 disable failing scenarios from scenarios_pbx
  * [7af0ea1] TT#81700 run_tests.sh: -k option to capture pcap per scenario
  * [e123b0b] Revert "TT#84599 scenarios_pbx: add more test to avoid nightly errors"
  * [4c3826e] Revert "TT#87502 Update pid_watcher to check sems-b2b instead of ngcp-sems and sems-pbx"
  * [9cfffe6] TT#85300 create_peers.pl: use try/catch when creating rules
  * [c57dca2] TT#81700 fix detection of profile on CE
  * [c5362fa] TT#81700 bin/check.sh: add option to control RETRANS_SIZE
  * [0f62d06] TT#81700 bin/reorder_tests_tt2.sh
  * [a6fd138] TT#71804 Route B-leg of the call through kamailio proxy

  [ Marco Capetta ]
  * [2cfbd49] TT#87502 Update pid_watcher to check sems-b2b instead of ngcp-sems and sems-pbx
  * [a0c19c4] TT#87502 Sems-b2b enabled by default and moved under sip port 5060
  * [0ac84aa] Revert "Revert "TT#87502 Update pid_watcher to check sems-b2b instead of ngcp-sems and sems-pbx""
  * [5872ecb] TT#71804 Increase kamailio proxy children to 5 during tests execution

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 31 Aug 2020 21:53:42 +0200

kamailio-config-tests (9.0.0.0+0~mr9.0.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [74db7b5] TT#81700 get_results.sh: fix error on tap summary
  * [1de1754] TT#84335 scenarios_pbx: invite_callforward fix cdr check
  * [1f1b200] TT#81700 obey profile if selected via parameters

  [ Marco Capetta ]
  * [6929437] TT#72451 Add new ROUTE_SET_HIH_CF route
  * [143c843] TT#72451 Add missing ROUTE_SET_HIH_CF route

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 21 Jul 2020 14:48:02 +0200

kamailio-config-tests (8.6.0.0+0~mr8.6.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [a60bd79] TT#81700 generate_test_tt2.pl: replace common headers
  * [6f6e07e] TT#42858 add support for checking retransmissions
  * [36349d4] TT#81700 generate_test_tt2.pl: add P-LB-Uptime to common subst headers
  * [be14641] TT#81700 bench.sh: fix support selecting the GROUP scenario
  * [b006dee] TT#68855 add support for permanent registrations
  * [74a7433] TT#68855 check.sh: fix errors calling delete_location()
  * [d71c223] TT#68855 clean_registrations.pl
  * [3a3de63] TT#81700 support change kamailio module level of debug
  * [83f869a] TT#68855 invite_perm_reg
  * [12207c1] TT#68855 clean_registrations.pl, don't try to clean mysql if redis is on
  * [d17f8e0] TT#68855 clean_registrations.pl: clean bannedusers too
  * [b459ef3] TT#81700 generate_test_tt2.pl: add -F option
  * [8e19a04] TT#84335 scenarios_pbx: add invite_callforward
  * [5872e21] TT#68855 support different transport on perm registrations
  * [2df340c] TT#81700 bin/get_results.sh: obey PROFILE environment var
  * [8e912dd] TT#81700 generate_test_tt2.pl: add -n option
  * [003a92e] TT#81700 autodetect environment
  * [1aa65df] TT#81700 check.sh: produce flow.diff and scenario.sip files on error
  * [740408f] TT#81700 fix discover of scenarios
  * [7d7625d] TT#81700 generate_test_tt2.pl: add common subst port 5080 -> 508[08]
  * [25f2e51] TT#81700 get_results.sh: add summary at the end of the report
  * [76e4ef2] TT#84599 scenarios_pbx: add more test to avoid nightly errors
  * [d3434ab] TT#81700 bin/check.sh: support checking up to two steps of messages
  * [7b064d6] TT#81700 run_tests.sh: print moved file just if size are different
  * [2f1f4df] TT#81700 bin/generate_test_tt2.pl: fix some common subst
  * [5fe990c] TT#81700 generate_test_tt2.sh: helper
  * [ca4ee69] TT#81700 bin/check.sh: use result of the check not ERR_FLAG
  * [b902548] TT#81700 run_tests.sh: show rtp sessions if open ports
  * [5091fc3] TT#81700 run_tests.sh: copy rtpengine log if check fails

  [ Marco Capetta ]
  * [3fe284a] TT#73250 Add queue and group_serial PBX scenarios to k-c-t
  * [a2b08d2] TT#76782 Adaptation after changes to ROUTE_CODES_ANNOUNCEMENTS_MAPPING

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 14 Jul 2020 11:52:04 +0200

kamailio-config-tests (8.5.0.0+0~mr8.5.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [ee7ec19] TT#76676 Adapt test to new routes to store call counters in CDRs
  * [abd1fef] TT#76676 Adapt hm test to new routes to store call counters in CDRs
  * [8aa4ded] TT#76405 Fix pbx scenarios after BLF moved to kamailio
  * [36dc88e] TT#73567 Fix scenarios for ROUTE_APPLY_HEADER_RULES 'reply' for CFs
  * [04d6ec7] TT#76664 Check if there are still rtp ports open after tests execution
  * [5d438b9] TT#78303 Remove ROUTE_RESTORE_EVENTMON_HEADERS route from pbx scenarios
  * [4880fed] TT#78301 Adapt tests to sems unification
  * [8e27778] TT#78301 Fix typo in sems port evaluation introduced in commit 4880fed1

  [ Sergii Kipot ]
  * [d2f6237] TT#79205 Fix permissions and group for restored logs

  [ Andrew Pogrebennyk ]
  * [2dbe4d6] TT#79954 remove route to RTPENGINE from callforward scenarios before CF loop

  [ Victor Seva ]
  * [5124bf4] TT#81700 generate_test_tt2.pl and show_sip.pl tools
  * [eeaec0f] TT#81700 generate_test_tt2.pl: add filter option
  * [c2df9cf] TT#81700 generate_test_tt2.pl: add option to replace uuids from scenario_ids.yml file
  * [ac41658] TT#81700 bin/show_flow_diff.pl

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 19 May 2020 11:08:04 +0200

kamailio-config-tests (8.4.0.0+0~mr8.4.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [5ec9fa1] TT#72700 bench.sh: fix skip config option
  * [33f2faa] TT#75801 don't change kamailio.proxy.children value per default
  * [02f0f84] TT#75801 add missing hack for missing REST API behaviour
  * [9ae2008] TT#75801 config_debug.pl remove uninitialized value warning

  [ Marco Capetta ]
  * [101be4d] TT#76152 Adapt scenario after moving of ROUTE_CHECK_PEER_PROBE route
  * [287c561] TT#75754 Add callforward enabled/disable paramenter

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 16 Mar 2020 11:13:19 +0100

kamailio-config-tests (8.3.0.0+0~mr8.3.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [569cd96] TT#71323 invite_hdr
  * [8618aa8] TT#71552 use new cfgt RPC command to clean scenario
  * [2ccc9ca] TT#72700 update bench script
  * [f75d155] TT#72700 add set_config.sh helper script
  * [fea1a3c] TT#72700 bench.sh: fix fail detection of commands on pipe

  [ Marco Capetta ]
  * [f3e64b0] TT#71321 Fix invite_redirect scenario after kamailio config change
  * [37a504b] TT#72152 Check Diversion and HIH in invite_redirect scenario
  * [a81171a] TT#71552 Fix JSON_KAM enable/disable
  * [efcc90d] TT#71552 Add -M option in bin/check.sh to skip moving of json files
  * [9e08596] TT#71552 Clean scenario only if json files were moved
  * [190ab27] TT#71552 Continue bin/check.sh execution in case of sipp errors
  * [87c7638] TT#70329 Adapt invite_q_forking scenario to the new preference type
  * [987011d] TT#71821 Fix PBX scenarios
  * [9b06616] TT#73803 Add outbound_pai_display evaluation route
  * [2b9e6a8] TT#74213 Load redirecting party prefs as new caller after 302

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 27 Jan 2020 12:20:56 +0100

kamailio-config-tests (8.2.0.0+0~mr8.2.0.0) unstable; urgency=medium

  [ Alexander Lutay ]
  * [693be79] TT#68026 Migrate k-c-t from /etc/mysql/sipwise.cnf to /etc/mysql/sipwise_extra.cnf

  [ Marco Capetta ]
  * [f527e90] TT#68004 Switch from python2 to python3
  * [348d3cb] TT#70327 Add scenario invite_q_forking
  * [3f5c27d] TT#70327 Fix issue in invite_q_forking scenario

  [ Guillem Jover ]
  * [a6a352d] TT#51701 Switch from deprecated /var/run to /run

  [ Victor Seva ]
  * [4fb43d4] TT#70351 change /etc/hosts via ngcpcfg

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 25 Nov 2019 14:54:18 +0100

kamailio-config-tests (8.1.0.0+0~mr8.1.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [49c2cae] TT#64362 Fix LNP NCOS whitelist case after
  * [112f788] TT#62270 Add cfo definition in callforward configuration

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 08 Oct 2019 09:07:34 +0200

kamailio-config-tests (8.0.0.0+0~mr8.0.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [8926b45] TT#60118 Temporary disable invite_voicebox scenario
  * [1b012a0] TT#61150 Adjust P-App-Param in invite_record_call scenario
  * [7c777c8] TT#61251 Add ROUTE_CHECK_TEL_URI
  * [3b45b6d] TT#58628 Adapt test to auto collect/apply of pv_headers
  * [ea21aee] TT#61251 Fix voicebox scenario tests
  * [ce24a86] TT#60901 Add NCOS LNP patterns

  [ Alexander Lutay ]
  * [9a16410] TT#60950 Switch kamailio-config-tests docker to buster
  * [aa06f80] Revert "TT#60118 Temporary disable invite_voicebox scenario"

  [ Guillem Jover ]
  * [43b75c5] TT#61954 Update copyright Format URL to use https
  * [c8514f3] TT#61954 Update copyright years
  * [5858934] TT#61954 Namespace debhelper fragment files
  * [c3f91d9] TT#60750 Use modern commands in preference of deprecated ones
  * [f9c68ea] TT#61954 Set debhelper compat level in Build-Depends instead of debian/compat

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 05 Aug 2019 20:54:34 +0200

kamailio-config-tests (7.5.0.0+0~mr7.5.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [13a94c0] TT#45811 Adapt tests to new suspend transaction feature
  * [d47e184] TT#58566 Fix after introduction of EVENTMON routes
  * [31aa171] TT#58569 Adjest witnessd configuration during tets setup
  * [51ffe4a] TT#57701 Adapt scenarios HM changes in reply messages
  * [811cbbd] TT#56951 Stop scenario execution if coredump file are generated
  * [252f7d3] TT#59205 Backup and restore original content of kamailio/sems logs
  * [497e26f] TT#60000 Move allow_ip check after CLI processing
  * [e36b100] TT#60258 Fix after reworking of pre-call announcements
  * [eb88477] TT#53329 Add some basic header manipulation tests

  [ Andrew Pogrebennyk ]
  * [012955d] TT#56512 fix k-c-t after skip peer probing if it's not enabled on the peer

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 17 Jun 2019 14:35:47 +0200

kamailio-config-tests (7.4.0.0+0~mr7.4.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [2a83e24] TT#53373 Increase timeout time for callforwards
  * [ac50af2] TT#47010 Fix tests after ROUTE_APPLY_HEADER_RULES introduction
  * [6fd49a5] TT#56156 Increase delay of second call in invite_concurrent_max scenarios
  * [eda6154] TT#56952 Fix calls to AoC ROUTE
  * [c9bc5a1] TT#56008 Adjust scenarios after redirect route changes
  * [277632a] TT#39166 add ROUTE_ADD_AOC_HEADER in EXECUTE_CF_LOOP
  * [a991098] TT#57702 Fix double CDR in case of pre-call announcement

  [ Guillem Jover ]
  * [394c9bb] TT#53665 Rename checktools.sip_check_enable to witnessd.gather.sip_responsiveness
  * [9ee15f5] TT#56550 Rename ngcp-sercmd to ngcp-kamcmd

  [ Kirill Solomko ]
  * [29f749d] TT#57502 fix invite anonymous tests
  * [96c68c9] TT#39166 add ROUTE_ADD_AOC_HEADER in EXECUTE_CF_LOOP

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 25 Apr 2019 14:27:57 +0200

kamailio-config-tests (7.3.0.0+0~mr7.3.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [f88bfa5] TT#50152 Fix re-transmission issues in cases where only part of the json are duplicated
  * [f0dea83] TT#50152 Skip invite_retrans scenarios from retransmission check

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 25 Feb 2019 22:53:35 +0100

kamailio-config-tests (7.2.0.0+0~mr7.2.0.0) unstable; urgency=medium

  [ Alexander Lutay ]
  * [fb92f29] TT#47373 Preserve config.yml attributes on copying for debug_mode

  [ Marco Capetta ]
  * [bbca0ab] TT#46863 Add invite_record_call scenario
  * [7e331d1] TT#49202 Fix errors in 'invite_record_call' scenario

  [ Andrew Pogrebennyk ]
  * [8d07965] TT#47743 adjust k-c-t for new route ROUTE_APPLY_CALLEE_LNP_RWR

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 09 Jan 2019 21:57:18 +0100

kamailio-config-tests (7.1.0.0+0~mr7.1.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [f6e69a6] TT#42150 Increased pause in some complex scenarios
  * [53b3257] TT#42150 Improve tests execution script
  * [7200e5d] TT#34026 Adapt tests to support pv_headers based templates logic
  * [a9f01cc] TT#46501 Check previous SIP message in case of wrong packet ordering

  [ Andrew Pogrebennyk ]
  * [89bbba4] TT#40618 fix flows because of UPN-based call blocking

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 12 Nov 2018 22:35:26 +0100

kamailio-config-tests (7.0.0.0+0~mr7.0.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [c3635a3] TT#41208 Move CDRs dump at the end of the test loop
  * [0fa98de] TT#41604 Add missing fourth CDR for call-forward scenario
  * [d1c0cdc] TT#42008 Fix missing '-C' option in getopts of run_tests.sh
  * [66810f2] TT#42150 Add log lines to investigate empty json issue
  * [94a19a4] TT#42150 Fix typo in added in commit 66810f2c66
  * [55bd3fd] TT#44079 Add Advice of Charge route to the involved scenarios
  * [0e3a6df] TT#44062 Stop rtpproxy session when dropping local branch

  [ Michael Prokop ]
  * [26ebb5d] TT#44157 bin/ulog_parser.pl: fix regex for perl >=5.26

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Sep 2018 18:53:56 +0200

kamailio-config-tests (6.5.0.0+0~mr6.5.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [22f47af] TT#35352 Add onsend_route to support log parser
  * [cdf506b] TT#39049 Implement test for B-number based Call Forwardings
  * [a281bcf] TT#40258 Add scenario for allow trusted with anonymous From
  * [e1bd92a] TT#28824 Add scenarios CDR export and validation

  [ Guillem Jover ]
  * [f8cf9ab] TT#39401 Use List::Util in perl core instead of List::MoreUtils

  [ Andrew Pogrebennyk ]
  * [98afa19] TT#36304 fix kamailio-config-tests after migration to stateful lb

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Jul 2018 13:34:58 +0200

kamailio-config-tests (6.4.0.0+0~mr6.4.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [dbd35e9] TT#34900 Fix failing kamailio-config-tests for PBX scenarios
  * [9bd0dfe] TT#35910 Fix UA header changes in in-dialog messages
  * [0941ac4] TT#36275 Increase wait time in invite_callforward scenario

  [ Andrew Pogrebennyk ]
  * [b94aee2] TT#36172 update scenario incoming_hih due to reordering

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 29 May 2018 10:04:09 +0200

kamailio-config-tests (6.3.0.0+0~mr6.3.0.0) unstable; urgency=medium

  [ Andrew Pogrebennyk ]
  * [e30608d] TT#17987 fix LNP tests (rename lnp.enabled->lnp.enable)

  [ Manuel Montecelo ]
  * [6427edc] TT#32220 Use "service" instead of "invoke-rc.d" to allow use of "policy-rc.d"

  [ Marco Capetta ]
  * [dc9aba8] TT#33301 Upgrade to work properly with kamalio 5.1.2

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 03 Apr 2018 22:27:48 +0200

kamailio-config-tests (6.2.0.0+0~mr6.2.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [f0d6b34] TT#26831 tests/test_check.py: ignore module level imports at top of file

  [ Manuel Montecelo ]
  * [2d5434e] TT#28353 The tests should wait for ngcp-panel to be available
  * [ae6e049] TT#28353 Revert "The tests should wait for ngcp-panel to be available"

  [ Marco Capetta ]
  * [cdc7428] TT#29068 Move kamailio's json output after each test
  * [8b5d6a4] TT#29852 Fix contact validation in invite_tcp_udp scenario
  * [058787c] TT#30352 Scenario invite_retrans fails due to timeout
  * [132a414] TT#30353 Fix function definitions in all bash scripts
  * [070c808] TT#30354 Migration of flags to boolean variables
  * [74c16ee] TT#26452 Improve kamailio-config-test to be re-transmission safe
  * [9a4bf03] TT#30652 Fix new path of use_dns_cache parameter

  [ Sergii Kipot ]
  * [70fa17b] TT#29456 Add python-xmlrunner kamailio-config-tests-jessie
  * [7661af4] TT#29456 Install unittest-xml-reporting using pip
  * [969d68d] TT#29456 Restore kamailio-config-tests-stretch Dockerfile

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 29 Jan 2018 21:53:15 +0100

kamailio-config-tests (6.1.0.0+0~mr6.1.0.0) unstable; urgency=medium

  [ Andrew Pogrebennyk ]
  * [6d4f69b] TT#22250 debian/control: move libgraphviz-perl to Recommends
  * [7324fea] TT#22250 bin/graph_flow.pl: die in case libgraphviz-perl is not present

  [ Kirill Solomko ]
  * [0957fd6] TT#23588 fix sound file upload read_file() usage
  * [d865a76] TT#23588 transcoded sounds/no_sh.wav into 8k rate

  [ Guillem Jover ]
  * [7e1631e] TT#22072 Update packaging

  [ Marco Capetta ]
  * [942d0ac] TT#4593 Set sems.cfgt to yes before start the test

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 06 Dec 2017 00:04:06 +0100

kamailio-config-tests (6.0.0.0+0~mr6.0.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [ad3ae5c] TT#16800 support memdbg csv report

  [ Andrew Pogrebennyk ]
  * [dd25e4b] TT#14802 add new test to check UPDATE behavior during conference call
  * [b413238] TT#20009 fix scenario invite_peerout_failover to reflect the updated To header
  * [a456804] TT#21894 fix kamailio-config-tests for new sems in PRO
  * [aaa64e5] TT#21894 fix the reminder test for new SEMS in Pro
  * [d5e7322] TT#23001 remove cfgt data after getting test results

  [ Kirill Solomko ]
  * [7f2f6ad] TT#21007 fix media181sec.pcap global header size

  [ Alexander Lutay ]
  * [5786436] TT#21905 Switch kamailio-config-tests Dockerfile to Debian stretch
  * [78d6fae] TT#22410 Fix typo in Dockerfile 'Instructions for usage'

  [ Andreas Granig ]
  * [6088364] TT#22659 Adapt to match runtime profiling
  * [61f2e3d] TT#22659 Fix lnp regarding runtime profiling

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 02 Oct 2017 23:39:23 +0200

kamailio-config-tests (5.5.0.0+0~mr5.5.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [3f1f939] TT#16696 invite_wrong_reg from MT#24372
  * [846a70b] TT#12860 scenarios_pbx: add incoming_shared_line
  * [ef58271] TT#17550 sipp doesn't support subdirectories at exec play_pcap_audio action
  * [58a89e4] TT#17550 create the links for media181
  * [a38c623] TT#12860 bin/check.sh: fix non pbx scenarios

  [ Guillem Jover ]
  * [31f441a] TT#17650 Switch to use YAML::XS instead of YAML
  * [0045d1e] TT#17650 Fix YAML::XS import
  * [0174cd7] TT#17650 Use single-quotes for patterns in YAML files
  * [d127610] TT#17650 Do not consider undef result from YAML::XS functions an error

  [ Andrew Pogrebennyk ]
  * [ea0a7fb] TT#17435 To-Header should not include ;npdi;rn parameter

  [ Alexander Lutay ]
  * [a32adb9] TT#17550 Fix 58a89e4a: re-create the broken link for media181sec.pcap
  * [18f33b4] TT#17550 Fix 58a89e4a: removed unnecessary folder from sipp scenarios
  * [522b0df] TT#17650 Add liblist-moreutils-perl to (build)dependencies of kamailio-config-tests

  [ Michael Prokop ]
  * [7629fad] TT#17650 Create syntaxcheck to identify bash/perl/python errors during build time
  * [6ab5796] TT#17650 Fix experimental features in bin/ulog_parser.pl

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 17 Jul 2017 22:43:28 +0200

kamailio-config-tests (5.4.0.0+0~mr5.4.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [605916a] TT#5420 Update packaging

  [ Andreas Granig ]
  * [a237c33] TT#8704 Add peer probing route to peer-out scenarios
  * [31252ce] TT#14800 Implement User-Agent filtering

  [ Victor Seva ]
  * [8b25f6f] TT#14582 TT#8704 fix a237c33e492b0. Add peer probing route to peer-out scenarios
  * [0a47606] TT#14582 TT#8704 fix a237c33e492b0. Add peer probing route to peer-out scenarios
  * [8c9c4b4] TT#14850 kamailio.(lb|proxy).cfgt config option

  [ Rene Krenn ]
  * [100ce18] TT#8162 adjust tests for *_user_out fields

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 16 May 2017 21:35:19 +0200

kamailio-config-tests (5.3.0.0+0~mr5.3.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [fce607a] TT#10351 invite_peerout_max_out
  * [dc5cbba] TT#21817 add calltimer sbc parameter
  * [805c288] TT#10351 invite_peerout_failover
  * [0a8d92c] TT#10351 fix invite_peerout_failover check
  * [618662c] TT#10351 fix invite_peerout_failover check, take two
  * [93e63f1] TT#10351 fix invite_peerout_failover responder
  * [fc2c190] TT#10702 pid_watcher.py: wait for ngcp-witnessd instead of colelctd
  * [0db6e54] TT#10833 bin/check.sh: use netstat (-a) when checking for used ports
  * [a23e957] TT#12860 scenarios_pbx: add shared_line(sca) scenario
  * [dc99e07] TT#12906 ngcp-panel API will change, '_embedded' will be an array
  * [d43f25c] TT#12906 fix typo introduced at dc99e073b850
  * [a45af5e] TT#13257 use API to generate client cert and use it on next calls

  [ Kirill Solomko ]
  * [350a68f] TT#11317 fix the tests for the callforward proxy logic split

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 Mar 2017 10:53:19 +0100

kamailio-config-tests (5.2.0.0+0~mr5.2.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [8e263c9] TT#7338 scenario.yml: support q value for REGISTER
  * [1e66618] TT#8901 support soundsets
  * [9f60a7b] TT#8901 soundsets: add sounds file to package
  * [8573448] TT#8901 run_tests.sh: remove debug change

  [ Andrew Pogrebennyk ]
  * [ed64ff9] TT#8183 fix scenarios_lnp/invite_ncos_white broken due to rewrite rule
  * [0616197] TT#2651 add ROUTE_SET_BRANCH_HDRS to scenarios, pbx/lnp flows
  * [3b3d024] TT#5508 update kamailio-config-tests flows for new rtpengine routes

  [ Sergii Kipot ]
  * [05fbd1e] TT#8635 set umask for files created by docker
  * [c3afdea] Revert "TT#8635 set umask for files created by docker"

  [ Kirill Solomko ]
  * [3126113] TT#2651 add ROUTE_CALLEE_DISPATCH
  * [a2a9224] TT#2651 add ROUTE_CALLEE_DISPATCH for lnp scenarios

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 03 Feb 2017 00:33:07 +0100

kamailio-config-tests (5.1.0.0+0~mr5.1.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [c1a8200] TT#4856 scenarios/incoming_hih: add counter info
  * [0c3e341] TT#4856 scenarios/incoming_peer: add counter info
  * [354dbbe] TT#4856 scenarios/invite: add counter info
  * [2dc1a88] TT#4856 scenarios/invite_allowedcli_match: add counter info
  * [9d4d650] TT#4856 scenarios: add counter info
  * [193c3fd] TT#4938 bin/restart_log.sh touch expected logs after remove them
  * [b499e0a] TT#5103 TT#4856 invite_voicebox: fix template, use dynamic id
  * [550a9d3] TT#5105 bin/check.sh: check media port+2, sipp uses media port +2
  * [5633995] TT#5200 scenarios*: fix default peer host port
  * [08e18b6] TT#5105 bin/check.sh: restore previous behavior with static ports for sender
  * [0a863a2] TT#5200 register_bria: do not use port where not really needed
  * [a255bed] TT#5105 bin/check.sh: restore previous behavior for responders
  * [47eb36c] MT#19053 bin/config_debug.pl: use GROUP if defined as default value
  * [97c3500] TT#5412 test: add yaml format test for XXXX_test.yml.tt2 files
  * [3640257] TT#4938 bin/restart_log.sh: fix delete previous logs
  * [ea2ff64] TT#4856 scenarios_lnp: add counters info
  * [3ed5d82] TT#4856 scenarios_pbx: add counters info
  * [6d10bef] TT#4110 scenarios_pbx: is_pbx_pilot order is important
  * [4e7cf79] TT#4760 move scenario_ids.yml to log just after run_sipp
  * [f047ffd] TT#6350 update new routes ROUTE_DLG_MANAGE/ROUTE_CNT_DLG_CHECK
  * [ed076a6] TT#6350 scenarios_pbx: We call ROUTE_DLG_MANAGE twice!!

  [ Alexander Lutay ]
  * [4e42a6f] TT#5200 Fix 563399: register_bria used old ports, moved to new one
  * [85e44bb] TT#5200 Fix 4e42a6: Change port to 51603 as it is currently in use since 550a9d3

  [ Andrew Pogrebennyk ]
  * [93f5dbc] TT#5404 fix flows after moving ROUTE_LOAD_CALLEE_PREF before ROUTE_NCOS
  * [561070c] TT#5404 fix flows after fix cf432cb (missed trailing colon)
  * [a26d8c1] TT#5154 add ROUTE_ADD_CALLINFO_CALLE[RE]_PRIMARY to kamailio-config-tests

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 17 Nov 2016 23:13:17 +0100

kamailio-config-tests (5.0.0.0+0~mr5.0.0.0) unstable; urgency=medium

  [ Andrew Pogrebennyk ]
  * [2eb7405] MT#20913 new test incoming_hih for History-Info header
  * [47ccc8f] MT#22487 fix kamailio-config-tests WRT to new CF and incoming peer selection logic
  * [8f77e10] TT#2766 MT#22487 fix scenarios_lnp WRT to new CF and incoming peer matching
  * [36f626f] TT#2503 update scenarios_lnp WRT new parameter handling
  * [805d9d8] TT#4060 MT#22447 now we are calling ROUTE_CLIR before ROUTE_FIND_CALLEE
  * [5fcc29f] MT#22945 update flows after fix for CF headers removing

  [ Andreas Granig ]
  * [85f345d] TT#2766 Add inbound peering rules to tests
  * [657fb54] MT#22487 Add missing route for incoming hih
  * [cbce507] TT#2394 Implement source-based CF
  * [fef2e32] TT#4066 Add cf map reorder function

  [ Victor Seva ]
  * [874667f] TT#4110 add support for pbx
  * [407517a] TT#4110 Initial support for PBX scenarios
  * [86e0e44] TT#4110 bin/create_subscribers.pl: add pbx_group support
  * [af1467a] TT#4475 run_tests.sh: add timeout parameter and set 300 as default
  * [e393498] TT#4475 pid_watcher.py: catch SIGTERM and log that the process was aborted
  * [1cf249f] TT#4556 bin/create_lnp.pl: fix removal logic
  * [28ac3bd] TT#4110 add sems-pbx logs
  * [41ed75c] TT#4110 scenarios_pbx: is_pbx_pilot order is important
  * [d9889e0] TT#4110 scenarios_pbx: fix scenario
  * [cb5bc41] TT#4753 send proper ACK after 4xx
  * [7dc0820] MT#17655 scenarios: new flow with ROUTE_CNT_CALLE[E|R]_REJECT
  * [a0af0be] TT#4760 scenario_ids.yml
  * [4fe4543] TT#4856 scenarios/incoming_foreign_dom: add counter info
  * [947414d] TT#4466 scenarios_lnp: add incoming_peer_unallocated_authoritative
  * [8e0a598] TT#4877 add ncoslnpcarrier support
  * [b9fd822] TT#4857 add invite_ncos_[black|white]

 -- Alexander Lutay <alutay@sipwise.com>  Fri, 21 Oct 2016 15:01:25 +0200

kamailio-config-tests (0.16.0.0+0~mr5.0.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [63d601b] MT#20139 scenarios_lnp: add register_lock_ported
  * [8fc7843] MT#20125 update flow with new ROUTE_FILTER_PRACK
  * [5f2ebf2] MT#20125 update flow with new ROUTE_FILTER_PRACK (take two)
  * [5ebcb62] MT#20125 update flow with new ROUTE_FILTER_PRACK (take three)
  * [5d8bf63] MT#20125 update flow with new ROUTE_FILTER_PRACK (take four)
  * [286b2d0] MT#20759 scenanrios/invite_allowedcli_nonmatch_reject
  * [4334b3a] MT#20617 REFER is now removed at lb

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 01 Aug 2016 16:24:53 +0200

kamailio-config-tests (0.15.0.0+0~mr4.5.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [b42a4ea] MT#18499 adapted kamailio tests

  [ Victor Seva ]
  * [d6bd38f] MT#19053 support groups of scenarios
  * [a06a24b] MT#19053 fix bin/config_debug group option
  * [22080eb] MT#17655 add ROUTE_NCOS_CHECK
  * [1d9026e] MT#17333 add lnp scenarios group
  * [60379ec] MT#19053 use -x for set the GROUP
  * [4ee646e] MT#19053 scenarios_lnp: add lnp_to_rn test scenario
  * [81fc94a] MT#19053 fix new flow with ROUTE_PSTN_SELECT_PEER
  * [7267cba] MT#19053 bin/update_peer_host.pl: fix error message

  [ Alexander Lutay ]
  * [7faf9e7] MT#17333 Update scenarios_lnp/incoming_peer to force using two independent peer groups
  * [d5b9c72] MT#19571 Remove {kamailio}{lb}{children} option from config_debug.pl as it doesn't exist

  [ Andrew Pogrebennyk ]
  * [62faf69] MT#19541 add rewrite rule check to LNP test

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 23 May 2016 18:45:10 +0200

kamailio-config-tests (0.14.0.0+0~mr4.4.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [fc685d6] MT#16225 [jessie] update collectd pid filename
  * [129397e] MT#7571 use NGCP REST API instead of SOAP lib
  * [7d3ec37] MT#7571 config_debug.pl: disable sslverify for restapi
  * [abc84e1] MT#17185 support rfc3325
  * [78ba96f] MT#7571 config_debug.pl: disable sslverify for restapi. fix 7d3ec378bd4f
  * [9a78149] MT#7571 bin/create_rewrite_rules.pl: use REST API
  * [1ddd29c] MT#7571 API.pm: fix 9a7814994bc6 wrong key on exists
  * [8fcba2e] MT#7571 provisioning via REST API step two
  * [f998b16] MT#7571 disable invite_speeddial scenario
  * [036064d] MT#13337 lock_ported scenario
  * [8401532] MT#7571 update README

  [ Alexander Lutay ]
  * [1c77b3d] MT#7571 config_debug.pl: Fix of the fix 78ba96f: s/ngcp-panel/ngcp_panel/

  [ Andrew Pogrebennyk ]
  * [16907f4] MT#17837 fix invite_callforward test
  * [5a70e0b] MT#17837 add 'P-NGCP-Forward-Info' header in invite_callforward test
  * [2ee8044] MT#17837 add 'P-NGCP-Forward-Info' header in invite_callforward test
  * [9e8755c] MT#17837 fix invite_voicebox and invite_callforward tests
  * [78c1f5a] MT#17837 fix invite_speeddial and invite_callforward tests
  * [3262dbe] MT#18427 fix typo in invite_peerout_rewrite/peer.yml
  * [2a7366e] MT#15875 fix test invite_anonymous
  * [6680c78] MT#18505 add test 'invite_redirect_blocked'

  [ Michael Prokop ]
  * [b0e0016] MT#17699 Bump Standards-Version to 3.9.7

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 21 Mar 2016 22:16:16 +0100

kamailio-config-tests (0.13.0.0+0~mr4.3.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [80fc751] MT#15943 Provide commit message to 'ngcpcfg apply'

  [ Andrew Pogrebennyk ]
  * [0c36cda] MT#16213 add a test to check detection of retransmitted INVITE
  * [f1fba3d] MT#16365 add test for late offer-answer model

  [ Victor Seva ]
  * [df0a6e1] MT#16237 bin/scenario.pl: fix warning

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 16 Dec 2015 09:14:51 +0100

kamailio-config-tests (0.12.0.0+0~mr4.2.0.0) unstable; urgency=medium

  [ Andrew Pogrebennyk ]
  * [ba040fc] MT#14153 fix kamailio-config-test invite_voicebox
  * [f094afa] MT#14153 fix kamailio-config-test invite_voicebox

  [ Victor Seva ]
  * [587d056] MT#14229 fix shellcheck warnings
  * [04f22a3] MT#14721 fix routename from event_route
  * [fe6ee4c] MT#14721 add new event_route dialog:start
  * [8e20d27] MT#14967 fix check.py TAP output
  * [c9d73ed] MT#12937 fix new order of preferences
  * [cafe088] MT#7571 bin/check.sh: skip delete domain when skipping run tests
  * [20bb49e] MT#7571 bin/check.sh: fix creation of KAM_DIR cfgtest dir
  * [c421e3f] MT#7571 bin/check.sh: fix cosmetic output removing domain

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 12 Oct 2015 15:31:54 +0200

kamailio-config-tests (0.11.0.0+0~mr4.1.0.0) unstable; urgency=low

  [ Andrew Pogrebennyk ]
  * [d0d35cc] MT#12217 fix the test for 302 redirect

  [ Alexander Lutay ]
  * [78fc7f0] MT#13297 pid_watcher.py will trigger check_all on event 'modified'

  [ Victor Seva ]
  * [e1a76fb] MT#6565 kamailio saving json using uuid for tests
  * [8df7016] MT#6565 CE/PRO differences due to sems version
  * [8d49e5b] MT#6565 invite_concurrent_max_out: don't use responder to place a new call
  * [f67b5bd] MT#6565 enable invite_peerout_rewrite_pv_regex. Fix typo check.py
  * [f368090] MT#10535 register_bria: fix check of contact reply

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 13 Jul 2015 15:13:33 +0200

kamailio-config-tests (0.10.0.0+0~mr4.0.0.0) unstable; urgency=low

  [ Andrew Pogrebennyk ]
  * [5d3fcec] MT#11651 fix test (caller dialog was previously counted twice)

  [ Michael Prokop ]
  * [8172139] MT#9127 Bump Standards-Version to 3.9.6

  [ Victor Seva ]
  * [473cee3] MT#7505 Add .gitreview file
  * [2383caf] MT#11921 fix tap-test errors and move unit-tests to tests dir
  * [07545f7] MT#9683 improve unit-tests execution
  * [0cf87e1] MT#9683 improve unit-tests execution:
  * [2822efd] MT#9683 rename fixtures to not match .gitignore *_test.yml rule
  * [ef49f26] MT#11921 fix tap-test errors. fix commit 2383cafe859e52

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 18 Mar 2015 14:01:20 +0100

kamailio-config-tests (0.9.0.0+0~mr3.8.0.0) unstable; urgency=low

  [ Andrew Pogrebennyk ]
  * [eeecad2] MT#9453 add ROUTE_NCOS for CF to kamailio-config-tests

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 07 Jan 2015 21:26:11 +0100

kamailio-config-tests (0.8.0.0+0~mr3.7.0.0) unstable; urgency=low

  [ Andrew Pogrebennyk ]
  * [79e9cd9] MT#6243 add test for emergency call with multipart body
  * [7a9805a] MT#9733 fix the test flows
  * [d3b9db3] MT#9807 disable multi-mime test until CE sems is fixed

  [ Victor Seva ]
  * [9a419f8] MT#6243 update test for emergency call with multipart body
  * [6bd2af2] MT#6243 activate emergency test
  * [1bce64b] MT#6499 pid_watcher.py: create logging file here not by run_tests.sh

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 30 Oct 2014 17:19:34 +0100

kamailio-config-tests (0.7.0.0+0~mr3.6.0.0) unstable; urgency=low

  [ Victor Seva ]
  * [d2d2cff] MT#8673 MT#8503 add new routes
  * [d46bb84] MT#8503 add new routes
  * [968175b] MT#8503 add new routes
  * [637eb05] MT#8721 run sipp on background to get the proper pid on responder scenario
  * [e972c3c] MT#8753 protection of run "bin/config_debug.pl on" twice in a row
  * [6a327ad] MT#7533 stop rate-o-mat service
  * [c4e7d63] Revert "MT#7533 stop rate-o-mat service"

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 09 Oct 2014 16:31:01 +0200

kamailio-config-tests (0.6.0.0+0~mr3.5.0.0) unstable; urgency=low

  [ Victor Seva ]
  * [f6745fd] MT#7423 trying to deal with sems 1.6 different behaviour
  * [58d0488] MT#7423 invite_voicebox: disable BYE.
  * [cf58dab] MT#7169 update flows
  * [7942d5e] MT#7349 pid_watcher.py: update sems pid filename
  * [3fdb96f] MT#7349 pid_watcher.py: update sems dir too.
  * [9207990] MT#7169 update missing flow from cf58dab3ff4a
  * [d75a861] MT#7523 allow use of SCENARIOS env var
  * [ea2291f] MT#7535 add invite_no_refer test.
  * [3882a64] MT#7169 fix test of avp(s:size) dialog.
  * [574e5f8] MT#7423 trying to deal with sems 1.6 different behaviour. fix missing contacts.

  [ Alexander Lutay ]
  * [9518075] MT#7531 Add ERROR label for failed TAP cases

  [ Andrew Pogrebennyk ]
  * [3d6ae3f] MT#7893 add prxroute parameter to results to fix tests
  * [60d8f9e] MT#7969 fix tests
  * [7462af6] MT#7971 get rid of IF PRO in kamailio templates (fix tests)
  * [279ef71] MT#7319 try to fix the tests
  * [91ccfbd] MT#7319 try to fix the tests. part II
  * [3a982cf] MT#7319 fix invite_concurrent_max_out
  * [856ca63] MT#7319 disable wrong concurrent_max*_per_account scenarios
  * [b4cd401] MT#7319 fix invite_concurrent_max_out_per_account
  * [1218f3e] MT#7319 fix invite_concurrent_max and invite_concurrent_max_per_account

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Jul 2014 15:14:39 +0200

kamailio-config-tests (0.5.0.0+0~mr3.4.0.0) unstable; urgency=low

  [ Victor Seva ]
  * [9934dcf] MT#6165 ulog_parser.pl: add more info on error Call-ID
  * [62c9562] MT#6499 bin/config_debug.pl: more flexible localhost match
  * [601f7c5] MT#6543 generate tap file even if no sip message yaml exists
  * [2999025] MT#6565 disable presence tests
  * [f5b9fda] MT#6817 add pid_watcher.py
  * [ea6c1b4] MT#7109 Add mem stats
  * [8129a13] MT#7109 fix copy paste typo
  * [fa9ce94] MT#7109 Add first SUM row to private mem stat file
  * [42491e6] MT#7109 add prefix to headers
  * [73fd5c7] MT#7109 create private memory per_pid file
  * [2d36611] MT#7109 use profile and version in the mem files
  * [75bd40d] MT#7109 fix last commit
  * [ae5d564] MT#6817 Stop tests if ngcpcfg apply returns error
  * [fcb8961] MT#6817 set debug off if error. Add pid_watcher log
  * [f77b10c] MT#6817 add ngcpcfg apply result to output
  * [0af7ebd] MT#6817 add ngcpcfg apply result to output. fix

  [ Andrew Pogrebennyk ]
  * [3fb4a8e] MT#6491 adapt tests after ROUTE_CLIR moving.
  * [48f6c4f] MT#6491 invite_speeddial: ROUTE_CLIR is now not called
  * [24c733e] MT#4759 adapt tests to the new upper limit for the max-forward value.
  * [f216511] MT#7005 adapt tests for new CFU call-flow.
  * [42ce4ec] MT#6981 add test for rewrite-rule with variable in match part.

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 May 2014 15:44:11 +0200

kamailio-config-tests (0.4.0.0+0~mr3.3.0.0) unstable; urgency=low

  [ Victor Seva ]
  * [d769bdd] MT#5851 Fix lintian error: add python as dependence.
  * [bf17039] MT#5865 Add some documentation about test file syntax
  * [98e71d5] MT#5787 add invite_concurrent_max_out_per_account scenario
  * [8ecac59] MT#5789 add incoming_foreign_dom scenario
  * [236f7de] MT#5865 Add some documentation about scenario.yml and prefs.yml syntax
  * [cfb23bb] MT#5789 foreign domain support
  * [4347a90] MT#5789 add invite_foreign_dom scenario
  * [a17d3c9] MT#5887 copy the original config.yml file and restore it after the tests.
  * [58b0eb8] MT#5887 fix a17d3c9ef4f2693fb05db603f2594278b3f8ffad
  * [82d9543] MT#5789 fix cfb23bb974f2286ffc0d2d091e53c507ad0bbc81
  * [053b69b] MT#5947 remove possible banned user
  * [89d4e27] MT#5947 Add a way to use a wrong password for auth on the caller
  * [22e6c54] MT#5947 Add auth_fail scenario
  * [cf4ce57] MT#6055 clean kamailio location table
  * [cb5deae] MT#6165 allow parse only or test only on get_results.sh
  * [9e8a299] MT#6133 use sipwise user when connecting to mysql

  [ Andrew Pogrebennyk ]
  * [ef9e050] MT#6021 Adapt tests for per-branch failure route.
  * [71eec82] MT#6021 Adapt tests for per-branch failure route.
  * [fac80cb] MT#6335 loosen the check for allowed_ips_grp pref value.

 -- Alexander Lutay <alutay@sipwise.com>  Fri, 21 Mar 2014 15:22:32 +0100

kamailio-config-tests (0.3+0~mr3.3) unstable; urgency=low

  [ Victor Seva ]
  * devel version for 3.2
  * [560e36a] MT#4009 Add GPL licence to all scripts
  * [9bde508] update README
  * [764528b] MT#5385 wait sometime for monit to restart the services after ngcpcfg apply execution
  * [ed91cb2] MT#5565 register_bria: Add another registered user first
  * [4c0a6cf] bin/check.sh: Add check for deactivated files not in scenario.csv
  * [7facd87] bin/ulog_parser.pl: filter lines by kamailio pid.
  * [bd748c6] get_results.sh: fix g option. Generating flow_graph
  * [9db218c] MT#5733 bin/create_peers.pl: fix warning
  * [c20e75b] MT#5733 add transport to scenario.csv file
  * [4ff4f70] MT#5733 use transport option on sipp
  * [2c702bc] MT#5733 added scenario register_tcp.
  * [02eaa78] MT#5109 Added scenarios to test tcp_udp scenario.
  * [7b51aa8] MT#5109 fix invite_tcp_udp_reinvite scenario. ACK missing.
  * [608c604] MT#5757 bin/check.sh: add -g option to generate graph only if test fails
  * [babfc14] MT#5633 bin/config_debug.pl: activate presence
  * [3b62b41] MT#5633 add presence support on scenario.
  * [8a7e878] MT#5633 bin/ulog_parser.pl: fix 7facd87c61ad65b335534d91f9b88e0e60510965
  * [3f0a003] MT#5633 add scenario presence
  * [0e2a718] MT#5787 add invite_concurrent_max scenario
  * [7356d3f] MT#5787 add invite_concurrent_max_out scenario
  * [9ea4d88] MT#5787 add invite_concurrent_max_per_account scenario
  * [7360858] MT#5801 add/modify var tests on register scenarios to check this bug.
  * [98983f2] MT#5225 MT#5701 fix scenarios after changes on templates

  [ Andrew Pogrebennyk ]
  * [f116a18] MT#4675 fix checks

  [ Michael Prokop ]
  * [cc7d92b] Bump Standards-Version to 3.9.5

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sat, 01 Feb 2014 19:44:35 +0100

kamailio-config-tests (0.2) unstable; urgency=low

  [ Victor Seva ]
  * [8d6893d] README: update documentation.
  * [e308ca7] bin/restart_log.sh: Use the new kamailio RPC command to reset the msgid
  * [1d255e9] xavp changed??
  * [c0d83bd] Show exit status on output
  * [157a2bc] invite_redirect: Add scenario for test 302
  * [7b8e889] Update documentation. Now 3.0 has the reset_msgid patch.
  * [6fce6b4] test fix_3837
  * [13ec4c7] fix flows since kamailio config has been changed
  * [b423a6c] fixing flow
  * [f1f49fe] test fix 3837
  * [bc33a6e] add more xavp checks
  * [b8ae679] Add an example of alias at scenario.yml
  * [54b0e7c] invite_blockout_blst: use second value of the xavp
  * [09d7184] testing 3837
  * [9796497] testing 3837
  * [0076efe] Add list scenarios command
  * [e091e7d] bin/check.sh: fix skip creation option
  * [300bb0f] bin/check.sh: do not force skip test on skip parse
  * [08ca7f7] invite_redirect: fix flow
  * [3b7e2d4] bin/show_flow.pl: add missing option to help output
  * [3558279] MT#4675 refresh checks
  * [fcedee9] MT#4675 fix PRO tests
  * [1e76a20] MT#4691 Update documentation for official releases
  * [b97e447] MT#4143 scenario to check unregister with 2 contacts as Bria does
  * [5f62e52] Add tests for sip_in and sip_out
  * [77e1e2f] MT#4817 Add not match rule.
  * [4db93a7] MT#4817 add tests for not match rules
  * [c5124f7] MT#4143 add rule to check previous contact not matched

  [ Michael Prokop ]
  * [7471d7d] Switch from /usr/local/src to /usr/share
  * [4b6995f] Run wrap-and-sort over all debian/ files

  [ Andrew Pogrebennyk ]
  * [d52d58a] Add test for subscriber with aliases and extension_in_npn

 -- Victor Seva <vseva@sipwise.com>  Fri, 22 Nov 2013 09:06:45 +0100

kamailio-config-tests (0.1) unstable; urgency=low

  [ Andrew Pogrebennyk ]
  * [7d25fdd] Make the tests work on a PRO.
  * [7e3b3e8] Add allowed_clis tests.
  * [7fbcafb] Make call-forward test work on a PRO.
  * [e36f983] Fix ACK sending.

  [ Victor Seva ]
  * Initial Release.
  * [1daa021] README: refresh documentation
  * [665fccd] debian: fix section
  * [083a0a5] Deactivate flow graphs by default
  * [4ac5657] bin/ulog_parser.pl: error if found flow info without json info
  * [ba84e5c] bin/check.sh: kill responder after the 5 secs wait. Sleep 1 sec before copy the kamailio log.
  * [caff0d6] bin/set_subscribers_preferences.pl: remove output
  * [be07916] scenarios/reminder: fix 0003 test.
  * [d817332] scenarios/invite_speeddial: Added speeddial tests
  * [ea8ffff] scenarios/invite_speeddial: do not retrans. Do not wait on responders.
  * [aa87938] bin/ulog_parser.pl: do not mix msg_out.
  * [13ea3ac] bin/create_subscribers.pl: remove output run_tests.sh: define start and end output
  * [a8f3768] scenarios: fixed responders. Do not retrans, removed waiting.
  * [fa595bf] bin/check.py: added comment on sip_out
  * [7341444] scenarios/invite_callforward: Added scenario with callforward
  * [631dca6] Added more subscribers
  * [54ba2c4] scenarios/invite_callforward: Added callforward busy test
  * [9bbb257] Added timestamp on messages
  * [8b2a715] scenarios/invite_offline: be sure that the callee is unregistered.
  * [7e481a8] bin/config_debug.pl: fix on PRO
  * [d7a103d] bin/check.sh: exit with error on create_domain.pl or create_subscribers.pl error.
  * [b5b0d3b] move set domain of scenarios/calle[r|e].csv files from sipp.sh to config_debug.pl script.
  * [167253c] bin/check.sh: delete callee locations before any tests. Check port is not in use.
  * [e8ad1d1] bin/check.sh: fix locations. Use proper ENV var
  * [815edd0] bin/check.sh: MPORT fix. introduce step arg
  * [c7d2c69] scenarios/invite_callforward: fix tests match
  * [303d0c9] scenarios/invite_speeddial: fix PRO profile
  * [0d1cab6] remove scripts added to ngcp-ossbss-clients-perl package.
  * [2628aa7] split logic. run_tests.sh runs the sipp scenarios. get_results.sh generates the tap files.
  * [05437c6] Add missing new script
  * [633a193] get_results.sh: use parallel properly
  * [4bbfe32] bin/check.py: generate tap file if the message cannot be loaded.
  * [81259f3] bin/check.sh: fix do not delete domain on sipp error
  * [1186150] Use proper interface config for scripts.
  * [98d62f2] bin/set_subscribers_preferences.pl: fix typo
  * [fad4833] bin/config_debug.pl: activate debug on lb too.
  * [bb2f289] bin/create_peers.pl: script to create/delete peers from peer.yml input
  * [e14771e] bin/check.sh: Add/Delete peers
  * [32bee68] Adapt bin/sipp.h bin/check.sh to peer
  * [282a986] scenario/incoming_peer: incoming call from a peer
  * [a33ed48] scenarios/incoming_peer/sipp_scenario00.xml: Use [local_ip]
  * [3828c78] bin/check.sh: Added capture logs to debug
  * [31517ff] bin/check.sh: fix last commit. port is not local var
  * [b35a548] debian/control: Added tcpdump Dependence
  * [66c9b1e] bin/config_debug.pl: Added sems debug
  * [56b0e17] bin/restart_log.sh: clean kamailio-lb and sems logs. No restart is done.
  * [ee99f5a] bin/check.sh: copy kamailio-lb and sems logs to LOG_DIR
  * [63c4f68] Reorganize the way scenarios are created.
  * [ba97e3f] debian/control: added needed perl library
  * [7f509e3] scenario/invite: Added scenario.yml and cleanup.
  * [8f3e304] scenarios/incoming_peer: Added scenario.yml and cleanup.
  * [33819b4] bin/check: fix delete_locations
  * [1af3995] scenarios/invite_allowedcli_match: Added scenario.yml and cleanup.
  * [b2696fe] scenarios/invite_allowedcli_nonmatch: Added scenario.yml and cleanup.
  * [28834f7] bin/scenario.pl: Added active option for responders.
  * [ed07342] bin/scenario.pl: fix res_id
  * [073dbc1] bin/scenario.pl: remove warning if no username or password.
  * [0d2e020] bin/check.sh: clean generated csv/reg.xml files before run again.
  * [ec168c0] scenarios/invite_allowip: Added scenario.yml and cleanup.
  * [fda6ad6] scenarios/invite_blockin_blst: Added scenario.yml and cleanup.
  * [dc966db] scenarios/invite_blockin_wlst: Added scenario.yml and cleanup.
  * [4dccec5] scenarios/invite_blockin_clir: Added scenario.yml and cleanup.
  * [3590f7c] scenarios/invite_blockout_blst: Added scenario.yml and cleanup.
  * [7549139] scenarios/invite_blockout_pinoverride: Added scenario.yml and cleanup.
  * [0f21cae] scenarios/invite_blockout_wlst: Added scenario.yml and cleanup.
  * [ac97abb] scenarios/invite_ignore_allowip: Add scenario.yml and clean.
  * [64c75e6] scenarios/invite_callforward: Added scenario.yml and cleanup.
  * [f76c712] ignore generated files
  * [4b1c8bb] scenarios/invite_offline: Added scenario.yml and cleaning.
  * [babfec8] bin/check.sh: Clean generated tests before generate again them.
  * [78b7963] scenarios/invite_speeddial: Added scenario.yml and clean.
  * [2003b7d] scenarios/register: Added scenario.yml
  * [d3d7dcc] scenarios/register_allowip: Added scenario.yml
  * [a27a235] scenarios/register_ignore_allowip: Added scenario.yml
  * [8cf92d1] scenarios/reminder: Added scenario.yml and clean.
  * [641b341] Exclude templates dir from tests/results
  * [763fbc7] README: Upgrade a bit the documentation.
  * [bf6a35a] Create subscribers from scenarios.yml file.
  * [444fa76] scenarios/*: New scenario.yml version with subscribers info.
  * [99d3de1] Peer responders
  * [3749554] scenarios/invite_peerout: Call using a peer
  * [7909910] scenarios: remove retransmission options on send
  * [472272b] scenarios/incoming_peer: fix numbering testcase
  * [0a07ff5] get_results.sh: fix exit status
  * [9f1e6c3] bench.sh: helper script to run the process several times
  * [98fef05] bin/sipp.sh: Disable retransmission in UDP mode.
  * [072c811] scenarios/invite_speeddial: fix ACKs
  * [47d4562] scenarios: use local_port
  * [5c2128d] scenarios/invite_offline: fix cseq. Thanks apogrebennyk!
  * [c3ad1b3] scenarios/incoming_peer: fix CSeq
  * [73ff024] scenarios/register: no need to unregister. All locations are removed by check.sh
  * [b994582] scenarios/register_ignore_allowip: no need to unregister. All locations are removed by check.sh
  * [659dadf] bin/check.sh: force error if there is any errors.log from sipp
  * [5ec884a] bin/check.sh: fix last commit. Show no error
  * [26fef21] scenarios: sending 200 OK before BYE in responders
  * [43926fe] bench.sh: keep the log and result dirs from every execution
  * [851fc07] debian/install: added bench.sh to the Debian package
  * [b84da07] bench.sh: clean previous log/result
  * [a4fbfec] bin/check.sh: try to get the kamailio.log on restart_log.sh error
  * [79a8195] bin/create_rewrite_rules.pl: helper script to create/delete rewrite_rules described at scenario.yml files
  * [1221c60] bin/check.sh: Add create_rewrite_rules script
  * [5b540a9] bin/check.sh: use renamed script. Must be exec before create_peers.pl bin/set_preferences.pl: Create prefs for domain, peer or subscriber
  * [ea3045d] fix
  * [3e9a45a] scenario/invite_peerout_rewrite: example with rewrite.yml.
  * [96ff528] bin/create_ncos.pl: Added helper script to add ncos levels on ncos.yml bin/check.sh: Call create_ncos.pl when needed.
  * [de1ed54] scenarios/invite_blockout_ncos: add example with  ncos level
  * [62f0ffa] scenarios: try to get the same msgid by adding some pause
  * [fadc242] bin/check.sh: wait between sip_scenarios.
  * [aaef97d] bin/restart_log.sh: force kill kamailio and check if it starts
  * [8110096] bin/set_subscribers_callforward.pl: Added voicebox preferences
  * [ab2eadc] scenarios/invite_voicebox: invite goes to voicebox
  * [489de49] bench.sh: Added time info
  * [b089252] README: update documentation. (cherry picked from commit 8d6893d995dedd272f3bf9efce640b3f7eef98de)
  * [753031d] Show exit status on output (cherry picked from commit c0d83bd77341da60d721ddcb297ce89c84844b16)
  * [c8245da] bin/show_flow.pl: add missing option to help output (cherry picked from commit 3b7e2d49383ea205b046b43df6afa482ef2c93e3)

 -- Victor Seva <vseva@sipwise.com>  Fri, 22 Nov 2013 09:01:07 +0100
